package com.engine.salary.service;

import com.engine.salary.entity.salaryBill.po.SalaryBillWatermarkPO;

import java.util.List;

/**
 * @author Harryxzy
 * @ClassName SalaryBillWatermarkService
 * @date 2023/06/09 11:09
 * @description
 */
public interface SalaryBillWatermarkService {

    /**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
    List<SalaryBillWatermarkPO> listAll();

    List<SalaryBillWatermarkPO> listSome(SalaryBillWatermarkPO po);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
    SalaryBillWatermarkPO getById(Long id);


    /**
     * 新增，忽略null字段
     *
     * @param SalaryBillWatermarkPO 新增的记录
     * @return 返回影响行数
     */
    int insertIgnoreNull(SalaryBillWatermarkPO SalaryBillWatermarkPO);


    /**
     * 修改，忽略null字段
     *
     * @param SalaryBillWatermarkPO 修改的记录
     * @return 返回影响行数
     */
    int updateIgnoreNull(SalaryBillWatermarkPO SalaryBillWatermarkPO);

    /**
     * 删除记录
     *
     * @param SalaryBillWatermarkPO 待删除的记录
     * @return 返回影响行数
     */
    int delete(SalaryBillWatermarkPO SalaryBillWatermarkPO);

    /**
     * 删除所有生效记录
     *
     * @return 返回影响行数
     */
    void deleteAll();
}
